#include <bits/stdc++.h>
#define ll long long
#define ull unsigned long long

using namespace std;


int main()
{
    ios_base::sync_with_stdio(false);

    int n;
    ll l, h;
    cin >> n >> l;
    int rez = -1;
    for(int i = 0; i < n; i++){
        cin >> h;
        if(rez == -1 && h <= l) rez = i+1;
    }
    cout << rez << endl;
}